Subject: Re: [PATCH 5/6] gnu: racket: Use Racket CS on all systems.

From: Liliana Marie Prikler <[email-masked]>
Date: Mon, 08 Aug 2022 11:10:03 +0200

Am Montag, dem 08.08.2022 um 02:10 -0400 schrieb Philip McGrath:
> On systems for which Racket CS cannot generate native code, it can
> use a 'pbarch' machine type---a variant of the ``portable bytecode''
> backend specialized to word size and endianness---allowing Racket CS
> to replace Racket BC on those systems while maintaining comparable
> performance. (Racket BC lacks JIT support for those systems anyway.)
> 
> This patch adds 'pbarch' support to 'racket-vm-cs' and
> 'chez-scheme-for-racket-bootstrap-bootfiles' and changes 'racket' and
> 'racket-minimal' to use 'racket-vm-cs' on all systems.
> 
> In the process, it also adds support for cross-compiling the
> bootfiles, 'racket-vm-cgc', 'racket-vm-bc', and 'racket-vm-cs'. This
> is not enough to cross-compile 'racket-minimal' or 'racket': that
> would require building and loading cross-compilation pluggins for
> 'racket-vm-cs' which will be much easier once we can build the
> package 'raco-cross'.
> 
> This patch does not address 'chez-scheme-for-racket'.
This patch still does a lot.  I'd suggest splitting it into at least
two parts: one to build pbarch, possibly one to address cross-compiling
(i.e. the adding of this-package to native-inputs), and one to use it
everywhere.

Cheers